Package com.dropbox.core.v2.team
Class GroupsUpdateBuilder
java.lang.Object
com.dropbox.core.v2.team.GroupsUpdateBuilder
The request builder returned by
DbxTeamTeamRequests.groupsUpdateBuilder(com.dropbox.core.v2.team.GroupSelector).
Use this class to set optional request parameters and complete the request.
-
Method Summary
Modifier and TypeMethodDescriptionstart()Issues the request.withNewGroupExternalId(String newGroupExternalId) Set value for optional field.withNewGroupManagementType(GroupManagementType newGroupManagementType) Set value for optional field.withNewGroupName(String newGroupName) Set value for optional field.withReturnMembers(Boolean returnMembers) Set value for optional field.
-
Method Details
-
withReturnMembers
Set value for optional field.If left unset or set to
null, defaults totrue.- Parameters:
returnMembers- Whether to return the list of members in the group. Note that the default value will cause all the group members to be returned in the response. This may take a long time for large groups. Defaults totruewhen set tonull.- Returns:
- this builder
-
withNewGroupName
Set value for optional field.- Parameters:
newGroupName- Optional argument. Set group name to this if provided.- Returns:
- this builder
-
withNewGroupExternalId
Set value for optional field.- Parameters:
newGroupExternalId- Optional argument. New group external ID. If the argument is None, the group's external_id won't be updated. If the argument is empty string, the group's external id will be cleared.- Returns:
- this builder
-
withNewGroupManagementType
Set value for optional field.- Parameters:
newGroupManagementType- Set new group management type, if provided.- Returns:
- this builder
-
start
Issues the request.
-